
#CC=icc
#CFLAGS=-c -Wall  -I/usr/local/include  -xHost -O2 -fp-model source

CC=gcc
CFLAGS=-c -Wall  -I/usr/local/include -march=native


LDFLAGS=-L/usr/local/lib 
LIBS=-lgsl -lgslcblas -lm -lquadmath
OLIB=../libnlofunc.a


SOURCES=dilog.c  dilogq.c  nlo_func_q.c  nlo_functions.c





OBJECTS=$(SOURCES:.c=.o)




all: $(SOURCES) $(OLIB)


.c.o:
	$(CC) $(CFLAGS) $< -o $@

	
$(OLIB): $(OBJECTS)
	ar crs $(OLIB) $(OBJECTS)
